package com.mixel.docusphere.config;

import io.github.cdimascio.dotenv.Dotenv;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;
import javax.sql.DataSource;
import org.springframework.boot.jdbc.DataSourceBuilder;

@Configuration
public class DataSourceConfig {

    @Bean
    @Primary
    public DataSource dataSource() {
        // Load environment variables from .env file
        Dotenv dotenv = Dotenv.configure().load();

        // Build the DataSource using Dotenv values
        DataSourceBuilder<?> dataSourceBuilder = DataSourceBuilder.create()
                .driverClassName("org.postgresql.Driver")
                .url(dotenv.get("DB_URL"))
                .username(dotenv.get("DB_USER"))
                .password(dotenv.get("DB_PASSWORD"));

        return dataSourceBuilder.build();
    }
}
