package com.mixel.docusphere.config;

import io.github.cdimascio.dotenv.Dotenv;
import jakarta.annotation.PostConstruct;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class DotenvConfig {

    private final Dotenv dotenv;

    public DotenvConfig() {
        this.dotenv = Dotenv.configure()
                .directory("../") // Adjust path as needed
                .filename(".env")
                .ignoreIfMissing()
                .load();
    }

    @PostConstruct
    public void init() {
        dotenv.entries().forEach(entry ->
                System.setProperty(entry.getKey(), entry.getValue())
        );
        System.out.println("Dotenv variables loaded");
    }

    @Bean
    public Dotenv dotenv() {
        return dotenv;
    }
}
