package com.mixel.docusphere.mapper;

import com.mixel.docusphere.dto.request.UserRequestDTO;
import com.mixel.docusphere.dto.response.UserRespondDTO;
import com.mixel.docusphere.entity.User;

public class UserMapper {
    public static UserRequestDTO toRequestDTO(User user) {
        UserRequestDTO userRequestDTO = new UserRequestDTO();
        userRequestDTO.setUsername(user.getUsername());
        userRequestDTO.setName(user.getName());
        userRequestDTO.setEmail(user.getEmail());
        userRequestDTO.setCreatedAt(user.getCreatedAt());
        userRequestDTO.setUpdatedAt(user.getUpdatedAt());

        return userRequestDTO;
    }

    public static UserRespondDTO toRespondDTO(User user) {
        UserRespondDTO userRespondDTO = new UserRespondDTO();
        userRespondDTO.setUserId(user.getUserId());
        userRespondDTO.setUsername(user.getUsername());
        userRespondDTO.setName(user.getName());
        userRespondDTO.setEmail(user.getEmail());
        userRespondDTO.setCreatedAt(user.getCreatedAt());
        userRespondDTO.setUpdatedAt(user.getUpdatedAt());

        return userRespondDTO;
    }

    public static User toEntity(UserRequestDTO userRequestDTO) {
        User user = new User();
        user.setUsername(userRequestDTO.getUsername());
        user.setName(userRequestDTO.getName());
        user.setEmail(userRequestDTO.getEmail());

        return user;
    }
}
